> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toingg.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Make Call

## Overview

Initiate a new call by sending a POST request to the `/make_call` endpoint. This allows you to schedule and execute calls with various configuration options.

## Request

### Request Body

```json theme={null}
{
  "name": "string",
  "phoneNumber": "string",
  "campID": "string",
  "whisperAsr": boolean,
  "startMessage": boolean,
  "clearMemory": boolean,
  "extraParams": {}
}
```

### Parameters

| Parameter    | Type    | Required | Description                         |
| ------------ | ------- | -------- | ----------------------------------- |
| name         | string  | Yes      | Name of the receiver                |
| phoneNumber  | string  | Yes      | Phone number of the receiver        |
| campID       | string  | Yes      | Campaign ID                         |
| whisperAsr   | boolean | No       | Enable/disable whisper ASR          |
| startMessage | boolean | No       | Whether to start with a message     |
| clearMemory  | boolean | No       | Clear previous conversation context |
| extraParams  | object  | No       | Additional parameters for the call  |


## OpenAPI

````yaml POST /make_call
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.toingg.com/api/v3
security: []
paths:
  /make_call:
    post:
      tags:
        - Call handling
      summary: Make Call
      operationId: make_call_make_call_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/makeCallData'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    makeCallData:
      properties:
        name:
          type: string
          title: Name
        phoneNumber:
          type: string
          title: Phonenumber
        campID:
          type: string
          title: Campid
        whisperAsr:
          type: boolean
          title: Whisperasr
          default: false
        startMessage:
          type: boolean
          title: Startmessage
          default: true
        clearMemory:
          type: boolean
          title: Clearmemory
          default: false
        extraParams:
          type: object
          title: Extraparams
          default: {}
      type: object
      required:
        - name
        - phoneNumber
        - campID
      title: makeCallData
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: login

````